Problème avec ubuntu 20.04

Depuis que mon système est passé de ubuntu 18.04 à 20.04 j’obtiens régulièrement ce type de fenêtre que je dois effacer Capture d’écran_2020-11-02_07-55-37

2 Likes

Hello! Welcome to the Seamly forum!

GT: Salut! Bienvenue sur le forum Seamly!

I occasionally get the same sort of thing on the Debian Virtual Machine that comes with ChromeOS these days. I posted about it over here: 20200619 Linux Appimage Test Build! It seems to be rather random, which makes it hard for the devs to pin-point the source of the problem :frowning_face:

GT: J’obtiens parfois le même genre de chose sur la machine virtuelle Debian fournie avec ChromeOS ces jours-ci. J’ai posté à ce sujet ici: 20200619 Linux Appimage Test Build! Cela semble être plutôt aléatoire, ce qui rend la tâche difficile pour les développeurs pour identifier la source du problème :frowning_face:

Which release date is your copy of Seamly? Are you using the AppImage, or other install? @slspencer, or one of the other devs, will want to know.

GT: Quelle est la date de sortie de votre copie de Seamly? Utilisez-vous AppImage ou une autre installation? @slspencer, ou l’un des autres développeurs, voudra le savoir.

1 Like

This is a Qt bug, https://bugreports.qt.io/browse/QTBUG-56893

2 Likes

Il s’agit de la version 0.6.0.1 compilée le 23 avril 2020 à 22:47:37. Ce n’est pas une appimage mais une version installée J’ai téléchargé une version Appimage du 0.6.0.1 du 3 août 2020 qui ne fait pas la même erreur.

This is version 0.6.0.1 compiled on April 23, 2020 at 10:47:37 PM. This is not an appimage but an installed version I downloaded an Appimage version of 0.6.0.1 from August 3, 2020 which does not make the same mistake.

2 Likes

Erreur de ma part, la version Appimage fait la me erreur mais moins souvent…

Error on my part, the Appimage version makes the mistake but less often …

2 Likes

Je ne sais pas comment résoudre le problème avec Qt, car Qt ne semble pas être réinstallé avec chaque nouvelle version de Seamly2d

I don’t know how to fix the issue with Qt because Qt doesn’t seem to be reinstalled with every new version of Seamly2d

2 Likes

Bonjour @Riton, Nous construisons Seamly2D avec Qt donc le problème est intégré dans Seamly2 via nos outils Qt, pas notre logique de programmation. Nous ne pouvons pas le réparer, Qt doit réparer son outil. Ce n’est pas votre installation locale de Qt qui cause le problème.

We build Seamly2D with Qt so the problem is embedded in Seamly2 via our Qt tools, not our programming logic. We can’t fix it, Qt must fix their tool. It’s not your local installation of Qt that causes the problem.

2 Likes

Je l’avais bien compris et j’ai essayé d’installer une nouvelle version de librairie Runtime de Qt, mais cela n’a servi à rien.

2 Likes

That is correct, installing a new version of Qt on your computer won’t solve the problem in Seamly’s compiled code.

2 Likes

Mais il y a peut-être un moyen pour que ces erreurs mineures ne s’affichent pas à l’exécution car elles n’affectent pas la stabilité du programme et n’ont jamais provoqué de plantage chez moi.